services:
  frontend:
    image: cofee-frontend:compute
    container_name: cofee_frontend_compute
    build:
      context: .
      dockerfile: Dockerfile
    env_file:
      - .env.production
    restart: unless-stopped
    environment:
      NODE_ENV: production
      NEXT_TELEMETRY_DISABLED: "1"
      PORT: 3000
      HOSTNAME: 0.0.0.0
    ports:
      - "80:3000"
